Package: org.grails.cli.interactive.completers

## [Groovy] Class ClassNameCompleter

- org.grails.cli.interactive.completers.ClassNameCompleter

- A completer that completes class names

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `resourcePatternResolver`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassNameCompleter (java.io.File baseDir)`
    `ClassNameCompleter (java.io.File... baseDirs)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isValidResource(Resource resource)`
    `` | `static void` | `refreshAll()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StringsCompleter` | `complete, getStrings, setStrings`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.springframework.core.io.support.PathMatchingResourcePatternResolver resourcePatternResolver

  - ### Constructor Detail

    - #### ClassNameCompleter(java.io.File baseDir)

    - #### ClassNameCompleter(java.io.File... baseDirs)

  - ### Method Detail

    - #### boolean isValidResource(Resource resource)

    - #### static void refreshAll()